Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaEntityResult

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaEntityResult

    public class JpaEntityResult

extends Object

Field Summary
`protected String` | `discriminatorColumn`
`protected String` | `entityClassName`
`protected Collection<JpaFieldResult>` | `fieldResults`

Constructor Summary
`JpaEntityResult()`
`JpaEntityResult(javax.persistence.EntityResult annotation)`

Method Summary
`String` | `getDiscriminatorColumn()`
`String` | `getEntityClassName()`
`Collection<JpaFieldResult>` | `getFieldResults()`
`void` | `setDiscriminatorColumn(String descriminatorColumn)`
`void` | `setEntityClassName(String entityClassName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entityClassName

    protected String entityClassName

### discriminatorColumn

    protected String discriminatorColumn

### fieldResults

    protected Collection<JpaFieldResult> fieldResults

Constructor Detail

### JpaEntityResult

    public JpaEntityResult()

### JpaEntityResult

    public JpaEntityResult(javax.persistence.EntityResult annotation)

Method Detail

### getFieldResults

    public Collection<JpaFieldResult> getFieldResults()

### getDiscriminatorColumn

    public String getDiscriminatorColumn()

### setDiscriminatorColumn

    public void setDiscriminatorColumn(String descriminatorColumn)

### getEntityClassName

    public String getEntityClassName()

### setEntityClassName

    public void setEntityClassName(String entityClassName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.